<?php
namespace Bushelpowered\Api\Iam\Access\Evaluate\V1\Request;
        
class GetRoleBindingsRequest 
{
    /** @var \Bushelpowered\Api\Iam\Access\Evaluate\V1\Request\ResourceType[]|null $resourceTypes The list of resource types to fetch role bindings for. Returns bindings to all resources if this property is null or not provided. An empty list will always return no results.*/
    public ?array $resourceTypes = null;
    /** @var null|\Bushelpowered\Api\Iam\Access\Common\V1\Mixins\ResourceRef $resource */
    public ?\Bushelpowered\Api\Iam\Access\Common\V1\Mixins\ResourceRef $resource = null;
    /** @var null|\Bushelpowered\Api\Iam\Access\Common\V1\Subjectable $subject */
    public ?\Bushelpowered\Api\Iam\Access\Common\V1\Subjectable $subject = null;

    /**
     * @param  \Bushelpowered\Api\Iam\Access\Evaluate\V1\Request\ResourceType[]|null  $resourceTypes The list of resource types to fetch role bindings for. Returns bindings to all resources if this property is null or not provided. An empty list will always return no results.
     * @param  null|\Bushelpowered\Api\Iam\Access\Common\V1\Mixins\ResourceRef  $resource 
     * @param  null|\Bushelpowered\Api\Iam\Access\Common\V1\Subjectable  $subject 
     */
    public function __construct(?array $resourceTypes, ?\Bushelpowered\Api\Iam\Access\Common\V1\Mixins\ResourceRef $resource, ?\Bushelpowered\Api\Iam\Access\Common\V1\Subjectable $subject)
    {
        $this->resourceTypes = $resourceTypes;
        $this->resource = $resource;
        $this->subject = $subject;
    }
    

}