<?php
namespace Bushelpowered\Api\Trade\Esign\V1\Model;
        
class ConfigurableListItem 
{
    /** @var string $key Key that identifies the configurable*/
    public string $key;
    /** @var string $label Label for the configurable*/
    public string $label;
    /** @var string $description Description of the configurable*/
    public string $description;
    /** @var string $dataType Data type of the configurable*/
    public string $dataType;
    /** @var string[] $options Value options for the configurable*/
    public array $options;

    /**
     * @param  string  $key Key that identifies the configurable
     * @param  string  $label Label for the configurable
     * @param  string  $description Description of the configurable
     * @param  string  $dataType Data type of the configurable
     * @param  string[]  $options Value options for the configurable
     */
    public function __construct(string $key, string $label, string $description, string $dataType, array $options)
    {
        $this->key = $key;
        $this->label = $label;
        $this->description = $description;
        $this->dataType = $dataType;
        $this->options = $options;
    }
    

}