<?php
namespace Bushelpowered\Api\Aggregator\Quoting\V1\Response;
        
class StaffProductListResponse 
{
    /** @var string $uploadedOn Timestamp when the products were uploaded of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $uploadedOn;
    /** @var string $uploadedBy User who uploaded the products*/
    public string $uploadedBy;
    /** @var \Bushelpowered\Api\Aggregator\Quoting\V1\Response\StaffProductListItemResponse[] $products */
    public array $products;

    /**
     * @param  string  $uploadedOn Timestamp when the products were uploaded of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  string  $uploadedBy User who uploaded the products
     * @param  \Bushelpowered\Api\Aggregator\Quoting\V1\Response\StaffProductListItemResponse[]  $products 
     */
    public function __construct(string $uploadedOn, string $uploadedBy, array $products)
    {
        $this->uploadedOn = $uploadedOn;
        $this->uploadedBy = $uploadedBy;
        $this->products = $products;
    }
    

}