<?php
namespace Bushelpowered\Api\Fulfillment\Configuration\V1\Response;
        
class CompanyResponse 
{
    /** @var int $id The company's id*/
    public int $id;
    /** @var string $name The company's name*/
    public string $name;
    /** @var string $slug The company's slug*/
    public string $slug;
    /** @var \Bushelpowered\Api\Fulfillment\Configuration\V1\Response\LocationResponse[] $locations The locations that exist for the company*/
    public array $locations;

    /**
     * @param  int  $id The company's id
     * @param  string  $name The company's name
     * @param  string  $slug The company's slug
     * @param  \Bushelpowered\Api\Fulfillment\Configuration\V1\Response\LocationResponse[]  $locations The locations that exist for the company
     */
    public function __construct(int $id, string $name, string $slug, array $locations)
    {
        $this->id = $id;
        $this->name = $name;
        $this->slug = $slug;
        $this->locations = $locations;
    }
    

}