<?php
namespace Bushelpowered\Api\Iam\Access\Manage\V1\Request;
        
class UpdateTenantConfigurationRequest 
{
    /** @var string $tenantId */
    public string $tenantId;
    /** @var null|\Bushelpowered\Api\Iam\Access\Manage\V1\Request\UpdateTenantRoleMappingConfiguration $roleMappings */
    public ?\Bushelpowered\Api\Iam\Access\Manage\V1\Request\UpdateTenantRoleMappingConfiguration $roleMappings = null;

    /**
     * @param  string  $tenantId 
     * @param  null|\Bushelpowered\Api\Iam\Access\Manage\V1\Request\UpdateTenantRoleMappingConfiguration  $roleMappings 
     */
    public function __construct(string $tenantId, ?\Bushelpowered\Api\Iam\Access\Manage\V1\Request\UpdateTenantRoleMappingConfiguration $roleMappings)
    {
        $this->tenantId = $tenantId;
        $this->roleMappings = $roleMappings;
    }
    

}