<?php
namespace Bushelpowered\Api\Trade\Futures\V1\Request;
        
class GetTradeLocationsRequest 
{
    /** @var bool $includeHidden Include locations marked as hidden in the BAP*/
    public bool $includeHidden;
    /** @var bool $includeDeleted Include deleted locations*/
    public bool $includeDeleted;

    /**
     * @param  bool  $includeHidden Include locations marked as hidden in the BAP
     * @param  bool  $includeDeleted Include deleted locations
     */
    public function __construct(bool $includeHidden, bool $includeDeleted)
    {
        $this->includeHidden = $includeHidden;
        $this->includeDeleted = $includeDeleted;
    }
    

}